package com.casic.missiles.modular.system.dao;

import com.casic.missiles.modular.system.model.User;
import com.casic.missiles.modular.system.model.UserPush;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component
public interface DataScopeMapper {

    List<Map<String, Long>> getDeptList();

    List<User> getUserList();

    List<Map<String, String>> getUserIdDataScope();

}
